/*
 *
 * Multi-transport Hook.io logging hook
 * Supports: File, Console, Redis, Mongo, Loggly
 *
 */

var Hook = require('hook.io').Hook,
    colors = require('colors'),
    winston = require('winston'),
    util = require('util');
    
var Logger = exports.Logger = function (options) {

  var self = this;
  Hook.call(this, options);

  var _logger = new (winston.Logger)({
    transports: [
      new (winston.transports.Console)(),
      new (winston.transports.File)({ filename: __dirname + '/../logs/all.log' }),
    ]
  });

  this.onAny(function(data){
    _logger.info(this.event + ' ' + JSON.stringify(data));
  });

};

//
// Inherit from `hookio.Hook`
//
util.inherits(Logger, Hook);
